import React, { forwardRef, useEffect, useRef, useState } from "react";
import { AiOutlineUpload } from "react-icons/ai";
import Button from "../UI/button/Button";
const UploadImage = forwardRef(
  ({ label, img, caption, name, onChange, value }, ref) => {
    const handleClickImage = () => {
      ref.current.click();
    };

    return (
      <div className="w-full flex flex-col justify-center items-center">
        <div className="relative w-[300px] h-[450px] border-2 border-gray-400">
          <div className="absolute w-[30px] h-[30px] flex justify-center top-0 left-0 bg-white z-10 my-auto mx-0">
            <p className="text-gray-400 text-center">{label}</p>
          </div>
          <img src={img} className="absolute w-full h-full object-cover" />
        </div>
        <div className="">
          <input
            type="file"
            name={name}
            accept="image/*" // only accept image file types
            multiple // allow multiple images
            ref={ref}
            //   value={value}
            onChange={onChange}
            style={{ display: "none" }} // Hide the file input
          />
          <Button
            onClick={handleClickImage}
            className="w-[300px] bg-gray-200 p-3 uppercase my-4 w- font-textImpact mx-auto text-black flex justify-around items-center"
          >
            {caption}
            <span>
              <AiOutlineUpload />
            </span>
          </Button>
        </div>
      </div>
    );
  }
);

export default UploadImage;
