import React, { useState, useEffect } from "react";
import PhotoGallery from "./PhotoGallery";

const Model = ({ model }) => {
  const {
    id,
    name,
    height,
    bust,
    waist,
    hips,
    suit,
    shoes_size,
    eyes,
    hair,
    images,
  } = model || {};

  useEffect(() => {}, [model]);

  return (
    <div className="w-full flex flex-col justify-center items-center mt-5">
      <div className="w-11/12">
        <h2 className="text-center bg-indigo-600 text-white py-10 font-textImpact text-3xl tracking-wider">{name}</h2>
      </div>

      {/* desktop */}
      <div className="w-11/12 md:flex flex-col justify-center items-center hidden">
        <div className="w-full grid grid-cols-12 justify-center items-start py-5">
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Height</p>
              </div>
              <div className="col-span-6">
                <p>{height}</p>
              </div>
            </div>
          </div>
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Bust</p>
              </div>
              <div className="col-span-6">
                <p>{bust}</p>
              </div>
            </div>
          </div>
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Waist</p>
              </div>
              <div className="col-span-6">
                <p>{waist}</p>
              </div>
            </div>
          </div>
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Hips</p>
              </div>
              <div className="col-span-6">
                <p>{hips}</p>
              </div>
            </div>
          </div>
        </div>
        <div className="w-full grid grid-cols-12 justify-center items-start py-5">
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Dress</p>
              </div>
              <div className="col-span-6">
                <p>{suit}</p>
              </div>
            </div>
          </div>
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Shoes size</p>
              </div>
              <div className="col-span-6">
                <p>{shoes_size}</p>
              </div>
            </div>
          </div>
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Eyes</p>
              </div>
              <div className="col-span-6">
                <p>{eyes}</p>
              </div>
            </div>
          </div>
          <div className="col-span-3">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Hair</p>
              </div>
              <div className="col-span-6">
                <p>{hair}</p>
              </div>
            </div>
          </div>
        </div>
      </div>

      {/* mobile */}
      <div className="w-11/12 md:hidden flex flex-col justify-center items-center">
        <div className="w-full grid grid-cols-12 justify-center items-start py-5">
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Height</p>
              </div>
              <div className="col-span-6">
                <p>{height}</p>
              </div>
            </div>
          </div>
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
                <p>Bust</p>
              </div>
              <div className="col-span-6">
                <p>{bust}</p>
              </div>
            </div>
          </div>
        </div>
        <div className="w-full grid grid-cols-12 justify-center items-start py-5">
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
              <p>Waist</p>
              </div>
              <div className="col-span-6">
              <p>{waist}</p>
              </div>
            </div>
          </div>
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
              <p>Hips</p>
              </div>
              <div className="col-span-6">
              <p>{hips}</p>
              </div>
            </div>
          </div>
        </div>
        <div className="w-full grid grid-cols-12 justify-center items-start py-5">
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
              <p>Dress</p>
              </div>
              <div className="col-span-6">
              <p>{suit}</p>
              </div>
            </div>
          </div>
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
              <p>Shoes size</p>
              </div>
              <div className="col-span-6">
              <p>{shoes_size}</p>
              </div>
            </div>
          </div>
        </div>
        <div className="w-full grid grid-cols-12 justify-center items-start py-5">
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
              <p>Eyes</p>
              </div>
              <div className="col-span-6">
              <p>{eyes}</p>
              </div>
            </div>
          </div>
          <div className="col-span-6">
            <div className="grid grid-cols-12 justify-around items-center">
              <div className="col-span-6">
              <p>Hair</p>
              </div>
              <div className="col-span-6">
              <p>{hair}</p>
              </div>
            </div>
          </div>
        </div>
      </div>

      <PhotoGallery images={images}/>
    </div>
  );
};

export default Model;
